import 'package:fis_jsonrpc/rpc.dart';

class _MockDb {
  static _MockDb? instance;

  static _MockDb getInstance() {
    if (instance == null) {
      instance = _MockDb();
    }
    return instance!;
  }

  /// 当前用户
  UserDTO? currentUser;

  /// 当前组织
  OrganizationBasicDTO? currentOrganization;

  /// 表格数据
  List<UserDTO>? userList;
}

/// mock数据库
_MockDb get mockDb => _MockDb.getInstance();
